<?php
/*------------------------------------------------------------------------
# worldtagmap.php - World Tag Map (plugin)
# ------------------------------------------------------------------------
# version		4.0.0
# author    	Top Position 
# copyright 	Copyright (c) 2015 Top Position All rights reserved.
# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website		http://posicionamientoenbuscadoreswebseo.es/
-------------------------------------------------------------------------
*/

defined('JPATH_BASE') or die;

jimport('joomla.utilities.date');

class plgContentWorldtagmap extends JPlugin {

	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
	}

	function onContentPrepareForm($form, $data)
	{
		
		if (!($form instanceof JForm))
		{
			$this->_subject->setError('JERROR_NOT_A_FORM');
			return false;
		}
		
		$return = 1;
		if (in_array($form->getName(), array('com_tags.tag'))) $return = 0;
		if ($return) return true;	
		
		$document = JFactory::getDocument();
		
		if (in_array($form->getName(), array('com_tags.tag'))) {
		
			$theform = 'tags.xml';
			JForm::addFormPath(dirname(__FILE__) . '/forms/tags');
			$theformponit = strpos($theform,'.');
			$theformstr = substr($theform, 0, $theformponit);
			$swww = $form->loadFile($theformstr, false);
			
		}

		return true;
	}

	
}
