<?php

/*------------------------------------------------------------------------
# mod_worldtagmap.php (module)
# ------------------------------------------------------------------------
# version		4.0.0
# author    	Top Position for Aixeena (http://www.aixeena.org)
# copyright 	Copyright (c) 2015 Top Position All rights reserved.
# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
-------------------------------------------------------------------------
*/
	// no direct access
	defined('_JEXEC') or die;
	
	JHtml::_('jquery.framework'); 
	
	JLoader::register('TagsHelperRoute', JPATH_BASE . '/components/com_tags/helpers/route.php');
	
	$document->addStyleSheet($route_assets.'jqvmap/jqvmap.css');
	$document->addScript($route_assets.'jqvmap/jquery.vmap.js');
	$document->addScript($route_assets.'jqvmap/maps/jquery.vmap.world.js');
		
	$app = JFactory::getApplication();
	$db = JFactory::getDbo();
	
	$lang = JFactory::getLanguage();
	$lang_code = $lang->getTag();
	$lang_name = $lang->getName(); 
	
	$db->setQuery('SELECT * FROM `#__tags` where `published` =1 AND (`language`="'.$lang_code.'" OR `language`="*") AND `params` LIKE '."'".'%"wtmap":"1"%'."'".' AND `params` NOT LIKE '."'".'%"code":"1"%'."'");           
	$data = $db->loadObjectList();
	
	//echo '<pre>';print_r($data);echo '</pre>';
	
	$codes = "code=='xx'";
	$codesarray = "'xx'";
	$tooltips = "";
	$colors = "xx:'null'";
	$clicks= "";
	$clicks2= "";
	$clicks2o= "";
	
	$leftoffset = 0;
	$topoffset = 0;
	
	
	

	
	
	$countries_array =  array();
	
	
	foreach($data as $row) {	
	
			// tag params
			$tagparams = $row->params;
			$attrb = json_decode($row->params); 
			
			//country code
			$code = $attrb->code;
			$countries_array[] = strtolower($attrb->code);
			$color = $attrb->color;
			$link = $attrb->link;
			$linktype = $attrb->linktype;
			$linkurl = $attrb->linkurl;
			$showlabel = $attrb->showlabel;
			$label = $attrb->label;
			$showtooltip = $attrb->showtooltip;

			//echo'<pre>'; print_r($row);	echo'</pre>';
	
			// tag description
			$description =  $row->description;
			$description =  str_replace(PHP_EOL, '', $description);
			$description =  str_replace("\r", "", $description);
			$description =  str_replace("\n", "", $description);
			
			//echo $description;
			
			if($color) $colors .= ",".strtolower($code).":'".$color."'";  
	
			$codes .= " || code == '".strtolower($code)."'";
			$codesarray .= ",'".strtolower($code)."'";  
			
			if($link && $linktype =='tag') {
				$tagurl = JRoute::_(TagsHelperRoute::getTagRoute($row->id . ':' . $row->alias)); 
				$clicks .= "
					case '".strtolower($code)."':
						window.location.replace('".$tagurl."');
						break;";
			}
			
			if($link && $linktype =='link') {
				$clicks .= "
					case '".strtolower($code)."':
						window.location.replace('".$linkurl."');
						break;";
			}
			
			
			if($showlabel && !$showtooltip) {
				if($label=='') $label = $row->title;
				$clicks2 .= "
					case '".strtolower($code)."':
						label.text('".$label."');
						break;";
			} else {
				$clicks2 .= "
					case '".strtolower($code)."':
						event.preventDefault();
						break;";
			}
			
			if($showtooltip) {
				$tooltips .= "
				if (code == '".strtolower($code)."') {
					jQuery('#state_tooltip".$module->id."').css({
					'left': left_offset - ".$leftoffset.",
					'top': top_offset - ".$topoffset.",
					'position': 'absolute',
					'display': 'block',
					'opacity': 1	
					});
					jQuery('#state_tooltip".$module->id."').html('".$description."');
				}";
			}				
				
		
	}
	
	if($params->get('labels',0)) {
		foreach($countries as $t=>$v) {
			if(!in_array(strtolower($t),$countries_array)) {
				$clicks2o .= "
				case '".strtolower($t)."':
					label.text(".'"'.htmlentities($v).'"'.");
					break;";
			}
		}
	}
	
	$hoverno = '';
	
	if(!$params->get('hovers',1)) {
	
		foreach($countries as $t=>$v) {
			if(!in_array(strtolower($t),$countries_array)) {
				$hoverno .= "
				case '".strtolower($t)."':
					event.preventDefault();
					break;";
			}
		}
	}
	
	
	$clicks2 .= "	
			default:
				event.preventDefault();
				break;";
		
	//echo $codes;
	//echo $colors;
	
	$document->addCustomTag("
	<script type='text/javascript'>
	jQuery(document).ready(function() {
		
		jQuery('#vmap".$module->id."').vectorMap({
		    map: 'world_en',
			borderColor: '".$params->get('bordercolor','#000')."',
			borderOpacity: ".$params->get('borderopacity','0.25').",
			borderWidth: ".$params->get('borderwidth','1').",
		    backgroundColor: '".$params->get('backgroundcolor','')."',
		    color: '".$params->get('color','#FFF')."',
			hoverColor: '".$params->get('hovercolor','#069')."',
		    hoverOpacity: ".$params->get('opacity','0.7').",
		    enableZoom: ".$params->get('enableZoom','true').",
		    normalizeFunction: 'linear',
			showTooltip: true,
			
			onLabelShow: function(event, label, code)	{
				switch (code) {".$clicks2o.$clicks2."}
    		},
			
			onRegionClick: function (event, code, region) {
				switch (code) {".$clicks."}
        		},
			onRegionOver: function (event, e, code, region) {
	
				var state_abbr = code;
				var state = jQuery(region);
				var id = '#jqvmap1_' + state_abbr;
				var offset = jQuery(id).offset();
				var left_offset = e.pageX -20;
				var top_offset = e.pageY - 20;
				
				switch (code) {".$hoverno."}
	
			   	if (".$codes.") {
					document.body.style.cursor = 'pointer';
					".$tooltips."
				}
			   
				},
			onRegionOut: function (element, code, region) {
				   document.body.style.cursor = 'default';
				}
			
		});
		
		jQuery('#state_tooltip".$module->id."').mouseleave(function() {
				jQuery('#state_tooltip".$module->id."').hide();
  		});
		
		jQuery('#vmap".$module->id."').vectorMap('set', 'colors', {".$colors."});
		
	});
	</script>
	");

	$style ='';
	if($params->get('bimage','')) $style ='background: url('.JURI::base(true).$params->get('bimage','').');';
	

?>
<div id="state_tooltip<?php echo $module->id; ?>" style="display: none;z-index: 99999;" class="state_tooltip "></div>

<div class="worltagmap" id="wtmap-<?php echo $module->id; ?>" style=" <?php echo $style; ?> width: <?php echo $params->get('mapwidth','100%'); ?>; height: <?php echo $params->get('mapheight','400px'); ?>;">
	<div class="wtmlegend" id="wtmapleg-<?php echo $module->id; ?>"></div>
    <div id="vmap<?php echo $module->id; ?>" style="width:100%; height:100%;"></div>
    <div class="wmtclear"></div>
</div>